import { AsyncValue } from "./type";
interface IUseAsyncReturned<T, Args = undefined> {
    value: AsyncValue<T>;
    execute: (args: Args) => Promise<void>;
    refresh: (args: Args) => Promise<void>;
    reset: () => void;
}
export declare function useAsync<T, Args = undefined>(asyncFunction: (args: Args) => Promise<T>, option?: {
    initialValue?: AsyncValue<T>;
}): IUseAsyncReturned<T, Args>;
export {};
